* {
    box-sizing: border-box;
}

:root {
    --space-section: clamp(30px, calc(-0.2678571429rem + 10.7142857143vw), 150px);
}

body {
    width: clamp(320px, 100%, 1440px);
    font-family: "Open Sans";
    color: black;
    margin: 20px auto;
}

a {
    text-decoration: none;
    color: black;
}

nav {
    display: flex;
    justify-content: space-evenly;
    gap: clamp(-10px, calc(-1.5178571429rem + 4.4642857143vw), 40px);
    flex-wrap: wrap;
}

nav a:hover {
    text-shadow: 1px 1px #5b6460;
}

.header__nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 10px clamp(10px, calc(0.2321428571rem + 1.9642857143vw), 32px) 10px clamp(10px, calc(-1.8035714286rem + 12.1428571429vw), 146px);
    gap: 10px;
    position: relative;
    min-height: 100px;
}

.btn-header {
    width: clamp(110px, calc(5.2678571429rem + 8.0357142857vw), 200px);
    height: clamp(40px, calc(2.1428571429rem + 1.7857142857vw), 60px);
    background: #5B6460;
    color: white;
}

.slider {
    height: clamp(200px, calc(3.5714285714rem + 44.6428571429vw), 700px);
    background-image: url(img/slider_img.png);
    background-size: cover;
    background-position: center;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: clamp(10px, calc(-0.8035714286rem + 7.1428571429vw), 90px) clamp(0.3125rem, calc(-0.6696428571rem + 4.9107142857vw), 3.75rem);
    margin-bottom: var(--space-section);
}

.slider__header {
    font-size: clamp(1.625rem, calc(0.8392857143rem + 3.9285714286vw), 4.375rem);
    font-weight: 300;
    margin-bottom: clamp(1rem, calc(0.6785714286rem + 1.6071428571vw), 2.125rem);
}

.slider__text {
    font-size: clamp(1rem, calc(0.9285714286rem + 0.3571428571vw), 1.25rem);
    font-family: Mulish;
    width: clamp(19.0625rem, calc(18.5625000000rem + 2.5000000000vw), 20.8125rem);
    margin-left: auto;
    text-align: center;
}

.slider__buttons {
    margin: 0 auto;
    width: 130px;
}

.cabins__title {
    font-size: clamp(28px, calc(1.5357142857rem + 1.0714285714vw), 40px);
    margin-bottom: clamp(16px, calc(0.3928571429rem + 3.0357142857vw), 50px);
}

.cabins__more {
    font-weight: 500;
    margin: 16px 0;
}

.cabins {
    width: min(465px, 100%);
    margin: auto auto 0;
}

img {
    max-width: 100%;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: var(--space-section);
    gap: 15px;
}

.cabins-wrapper {
    display: flex;
    flex-wrap: wrap;
    flex-basis: 465px;
    flex-grow: 1;
    padding: 0 20px;
}

.cabins__imgs {
    justify-content: space-evenly;
}

.section-forest {
    margin-bottom: 0;
    gap: 0;
}

.cabins__more_forest {
    text-decoration: underline;
    font-style: italic;
}

.cabins-wrapper_forest {
    padding-top: clamp(30px, calc(1.6964285714rem + 0.8928571429vw), 40px);
    background: #E9ECE0;
    flex-basis: 350px;
}

.forest-img {
    height: clamp(300px, calc(13.3928571429rem + 26.7857142857vw), 600px);
    flex-basis: 350px;
    flex-grow: 1;
    background-image: url(img/forest.png);
    background-size: cover;
    background-position: center;
}

.forest-img-wrapper img {
    display: block;
    margin: auto;
    width: 100%;
}

.facil {
    text-align: center;
    background: #5B6460;
    margin-bottom: 0;
    flex-direction: column;
    justify-content: space-evenly;
    height: 474px;
    color: white;
    padding: 0 clamp(15px, calc(-1.4732142857rem + 12.0535714286vw), 150px);
}

.technic-card img {
    margin-bottom: 20px;
}

.technic-card {
    text-align: center;
    flex-grow: 1;
}

.facil_title {
    font-size: 40px;
    font-weight: 300;
    margin-top: calc(0px - clamp(0px, calc(-0.7142857143rem + 3.5714285714vw), 40px));
}

.card-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

.shrink {
    flex-basis: 130px;
}

.facil-img {
    height: clamp(150px, calc(2.1428571429rem + 36.1607142857vw), 555px);
    display: flex;
    background-image: url(img/cabins_img_5.png);
    background-size: cover;
    background-position: center;
}

.more_about {
    --size-more: clamp(80px, calc(3.6428571429rem + 6.7857142857vw), 156px);
    width: var(--size-more);
    height: var(--size-more);
    border-radius: 50%;
    background: #E9ECE0;
    margin: auto;
    padding: 8px;
    display: flex;
    text-align: center;
    line-height: 16px;
}

footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: clamp(20px, calc(-0.6250000000rem + 9.3750000000vw), 125px);
    background: #5B6460;
    color: white;
    gap: 30px;
}

.news {
    flex-basis: 435px;
}

.email {
    width: 100%;
    font-style: italic;
    padding: 8px;
    border: none;
    border-bottom: 1px solid;
    background: #5B6460;
    color: white;
}

.email::placeholder {
    color: rgb(219, 219, 219);
    font-weight: 300;
}

.email:focus-visible {
    outline: 1px solid gray;
    border-radius: 4px;
}

.form-text {
    margin-top: .25rem;
    font-size: .875em;
    color: white;
    font-weight: 200;
}

.news h4 {
    font-weight: 500;
    margin-bottom: clamp(20px, calc(1.0357142857rem + 1.0714285714vw), 32px);
}

.cooperative {
    font-size: 14px;
    font-weight: 300;
    margin-top: clamp(20px, calc(0.3571428571rem + 4.4642857143vw), 70px);
}

.e-submite {
    position: absolute;
    right: 0;
    top: 6px;
    cursor: pointer;
}

.policy a {
    flex-basis: 480px;
    color: white;
    font-size: 14px;
    font-weight: 300;
    margin-right: 20px;
    line-height: 32px;
    white-space: nowrap;
}

.policy {
    flex-basis: 170px;
    text-align: end;
    flex-grow: 1;
}

.pay img {
    margin: 0 20px;
    vertical-align: middle;
}

.pay {
    margin-top: clamp(24px, calc(1.2142857143rem + 1.4285714286vw), 40px);
}











/* burger */

.burger-checkbox {
    position: absolute;
    visibility: hidden;
}

.burger {
    position: relative;
    z-index: 1;
    cursor: pointer;
    display: block;
    position: relative;
    background: transparent;
    width: 40px;
    height: 26px;
}

.burger::before,
.burger::after {
    content: '';
    left: 0;
    position: absolute;
    display: block;
    width: 100%;
    height: 4px;
    border-radius: 10px;
    background: #000;
}

.burger::before {
    top: 0;
    box-shadow: 0 11px 0 #000;
    transition: box-shadow .3s .15s, top .3s .15s, transform .3s;
}

.burger::after {
    bottom: 0;
    transition: bottom .3s .15s, transform .3s;
}

.burger-checkbox:checked+.burger::before {
    top: 11px;
    transform: rotate(45deg);
    box-shadow: 0 6px 0 rgba(0, 0, 0, 0);
    transition: box-shadow .15s, top .3s, transform .3s .15s;
    background: hsl(153.33deg 4.71% 37.45%)
}

.burger-checkbox:checked+.burger::after {
    bottom: 11px;
    transform: rotate(-45deg);
    transition: bottom .3s, transform .3s .15s;
    background: hsl(153.33deg 4.71% 37.45%);
}

.burger-checkbox:checked~.menu-list {
    display: grid;
}

.menu-list {
    top: 0;
    right: 0;
    position: absolute;
    display: grid;
    gap: 8px;
    padding: 42px 0 18px;
    margin: 0;
    padding-top: 70px;
    background: hsl(203deg 23% 80% / 95%);
    list-style-type: none;
    width: 100%;
    border-radius: 5px;
    transition-property: width;
    transition-duration: 0.7s;
    overflow: hidden;
}

.menu-item {
    display: block;
    padding: 4px;
    color: black;
    font-size: 18px;
    text-align: center;
    text-decoration: none;
}

.menu-item:hover {
    background: rgba(255, 255, 255, .5)
}

.burger-checkbox:not(:checked)~.menu-list {
    width: 0;
}

.menu {
    border: 1px solid;
    display: inline-block;
    padding: 10px;
    border-radius: 5px;
}

.wrapper-burger {
    text-align: right;
    padding: 10px;
}

/* burger-end */



@media (max-width: 991px) {
    nav {
        display: none;
    }

    .wrapper-burger {
        display: block;
    }
}

@media (min-width: 992px) {
    .wrapper-burger {
        display: none;
    }
}